<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/system/Base_ware_location.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/stockManagement/Base_ware_location.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "货位查询",
      name: "/Base_ware_location",
      url: "/Base_ware_location/",
      sortName: "id",
    });
    const editFormFields = ref({
      upper_code: "",
      down_code: "",
      area: "",
      equipment_type: "",
      name: "",
      logic_layer: "",
      logic_col: "",
      logic_row: "",
      location_state: "",
      status: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "上料货位编号",
          required: true,
          field: "upper_code",
          type: "text",
        },
        {
          title: "下料货位编号",
          required: true,
          field: "down_code",
          type: "text",
        },
        {
          title: "货位区域",
          required: true,
          field: "area",
          type: "select",
          dataKey: "area",
        },
      ],
      [
        {
          title: "货位类型",
          required: true,
          field: "equipment_type",
          type: "select",
          dataKey: "equipment_type",
        },
        { title: "货位名称",field: "name", type: "text" },
        { title: "货位层", required: true, field: "logic_layer", type: "text" },
      ],
      [
        { title: "货位列", required: true, field: "logic_col", type: "text" },
        { title: "货位行", required: true, field: "logic_row", type: "text" },
        {
          title: "货位状态",
          required: true,
          field: "location_state",
          type: "select",
          dataKey: "location_state",
        },
      ],[{ title: "是否启用", required: true, field: "status", type: "select",dataKey: "status", }],
    ]);
    const searchFormFields = ref({
      down_code: "",
      upper_code: "",
      location_state:""
    });
    const searchFormOptions = ref([
      [
        { title: "上料货位编号", field: "upper_code", type: "like" },
        { title: "下料货位编号", field: "down_code", type: "like" },
        { title: "货位状态", field: "location_state", type: "select",dataKey:"location_state" }
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "货位ID",
        type: "guid",
        width: 90,
        require: true,
        align: "left",
        sortable: true,
      },
      {
        field: "upper_code",
        title: "上料货位编号",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "down_code",
        title: "下料货位编号",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "area",
        title: "货位区域",
        type: "string",
        width: 120,
        align: "left",
        bind: { key: "area", data: [] },
      },
      {
        field: "equipment_type",
        title: "货位类型",
        type: "string",
        width: 120,
        align: "left",
        bind: { key: "equipment_type", data: [] },
      },
      {
        field: "name",
        title: "货位名称",
        type: "string",
        width: 180,
        hidden: true,
        align: "left",
      },
      {
        field: "logic_layer",
        title: "货位层",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "logic_col",
        title: "货位列",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "logic_row",
        title: "货位行",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "location_state",
        title: "货位状态",
        type: "string",
        width: 120,
        require: true,
        align: "left",
        bind: { key: "location_state", data: [] },
      },
      {
        field: "status",
        title: "是否启用",
        type: "int",
        width: 90,
        require: true,
        align: "left",
        bind: { key: "status", data: [] },
      },
      {
        field: "created_user",
        title: "创建者",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "created_time",
        title: "创建时间",
        type: "datetime",
        width: 90,
        require: true,
        align: "left",
        sortable: true,
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
